rb_malloc.d(1m)

NAME
rb_malloc.d - Ruby operations and libc malloc statistics.

SYNOPSIS
rb_malloc.d { -p PID | -c cmd }

DESCRIPTION
Filename and method names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Ruby provider, which may change as additional features are introduced. Check Ruby/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # rb_malloc.d

FIELDS

1   Filename of the Ruby program

2   Type of operation (method/objnew/startup)

3   Name of operation

WARNING
This script is not 100% accurate; This prints libc malloc() byte distributions by "recent" Ruby operation, which we hope will be usually relevant. This is an experimental script that may be improved over time.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
rb_malloc.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)